Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.freemarker.tags
Class TagModel

    java.lang.Object
      org.apache.struts2.views.freemarker.tags.TagModel

All Implemented Interfaces:
  freemarker.template.TemplateModel, freemarker.template.TemplateTransformModel

Direct Known Subclasses:
  ActionErrorModel, ActionMessageModel, ActionModel, AnchorModel, BeanModel, CheckboxListModel, CheckboxModel, ComboBoxModel, ComponentModel, DateModel, DivModel, DoubleSelectModel, ElseIfModel, ElseModel, FieldErrorModel, FileModel, FormModel, HeadModel, HiddenModel, I18nModel, IfModel, IncludeModel, InputTransferSelectModel, IteratorModel, LabelModel, OptGroupModel, OptionTransferSelectModel, ParamModel, PasswordModel, PropertyModel, PushModel, RadioModel, ResetModel, SelectModel, SetModel, SubmitModel, TextAreaModel, TextFieldModel, TextModel, TokenModel, UpDownSelectModel, URLModel

    public abstract class TagModel

extends java.lang.Object
implements freemarker.template.TemplateTransformModel

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `req`
`protected javax.servlet.http.HttpServletResponse` | `res`
`protected ValueStack` | `stack`

Fields inherited from interface freemarker.template.TemplateModel
`NOTHING`

Constructor Summary
`TagModel(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Method Summary
`protected boolean` | `complexType(java.lang.Object value)`
`protected java.util.Map` | `convertParams(java.util.Map params)`
`protected abstract Component` | `getBean()`
`protected java.util.Map` | `getComplexParams(java.util.Map params)`
`java.io.Writer` | `getWriter(java.io.Writer writer, java.util.Map params)`
`protected java.util.Map` | `unwrapParameters(java.util.Map params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stack

    protected ValueStack stack

### req

    protected javax.servlet.http.HttpServletRequest req

### res

    protected javax.servlet.http.HttpServletResponse res

Constructor Detail

### TagModel

    public TagModel(ValueStack stack,
                    javax.servlet.http.HttpServletRequest req,
                    javax.servlet.http.HttpServletResponse res)

Method Detail

### getWriter

    public java.io.Writer getWriter(java.io.Writer writer,
                                    java.util.Map params)
                             throws freemarker.template.TemplateModelException,
                                    java.io.IOException

  Specified by:
    `getWriter` in interface `freemarker.template.TemplateTransformModel`
  Throws:
    `freemarker.template.TemplateModelException`
    `java.io.IOException`

### getBean

    protected abstract Component getBean()

### unwrapParameters

    protected java.util.Map unwrapParameters(java.util.Map params)

### convertParams

    protected java.util.Map convertParams(java.util.Map params)

### getComplexParams

    protected java.util.Map getComplexParams(java.util.Map params)

### complexType

    protected boolean complexType(java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.